const userWithSuficientFunds = 'testuser1@g.globo.com';
const userWithInsuficientFunds = 'testuser2@g.globo.com';
const password = Cypress.env('USER_PASSWORD');
const adminUser = 'luciane.fortes@g.globo.com';

describe('rewards', () => {
  it('redeem rewards with suficient funds', () => {
    cy.login(userWithSuficientFunds, password);
    cy.get('#menu-button', { timeout: 10000 }).click();
    cy.get('#store').click();
    cy.wait(100);
    cy.scrollTo('bottom');
    cy.get('#product-3').click();
    cy.get('#redeemButton').click();
    cy.get('.userMessageModal_title__8QWa8')
      .should('have.text', 'Recompensa resgatada')
      .and('be.visible');
  });

  it('redeem rewards with insuficient funds', () => {
    cy.login(userWithInsuficientFunds, password);
    cy.get('#menu-button', { timeout: 10000 }).click();
    cy.get('#store').click();
    cy.wait(100);
    cy.scrollTo('bottom');
    cy.get('#product-3').click();
    cy.get('#redeemButton').click();
    cy.get('.userMessageModal_title__8QWa8')
      .should('have.text', 'Recompensa não pode ser resgatada') //talvez mudar para o especifico de falta de aplausos
      .and('be.visible');
  });

  it('admin should create reward', () => {
    cy.login(adminUser, password);
    cy.get('#menu-button', { timeout: 10000 }).click();
    cy.get('#adminStore').click();
    cy.get('#userInfoCard').click();
    cy.get('#outlined-text-input').type('Test Item');
    cy.get('#outlined-modalDescription-input').type('Test Item');
    cy.get('#sendRewardButton').click();
    cy.get('.userMessageModal_title__8QWa8')
      .should('have.text', 'Successo')
      .and('be.visible');
  });

  it('admin should edit reward', () => {
    cy.login(adminUser, password);
    cy.get('#menu-button', { timeout: 10000 }).click();
    cy.get('#adminStore').click();
    cy.get('#product-3').click();
    cy.get(
      '#product-4 > .productCard_cardArea___0Eg_ > .productCard_divRight__3fRZU > .productCard_containerButton__wlwO3 > div > :nth-child(2) > [data-testid="EditOutlinedIcon"] > path',
    ).click();
    cy.get('#outlined-modalDescription-input').clear().type('Test Item Edited');
    cy.get('#sendRewardButton').click();
    cy.get('.userMessageModal_title__8QWa8').should('have.text', 'Sucesso');
  });

  it('admin should delete reward', () => {
    cy.login(adminUser, password);
    cy.get('#menu-button', { timeout: 10000 }).click();
    cy.get('#adminStore').click();
    cy.get('#product-3').click();
    cy.get(
      '#product-4 > .productCard_cardArea___0Eg_ > .productCard_divRight__3fRZU > .productCard_containerButton__wlwO3 > div > :nth-child(1) > [data-testid="DeleteOutlineOutlinedIcon"]',
    ).click();
    cy.get('#deleteButton').click();
    cy.get('#buttonConfirmar').click();
    cy.get('.userMessageModal_title__8QWa8').should('have.text', 'Sucesso');
  });
});
